<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('service_user_bind_roles', function (Blueprint $table) {
            $table->id();
            $table->integer('chat_id')->unsigned()->comment("企业微信群id");
            $table->integer('user_id')->nullable()->comment("用户id");
            $table->integer('role_id')->unsigned()->comment("角色id");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('service_user_bind_roles');
    }
};
